package com.ssj.service.conch.parents.v2.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author yrf
 * @description
 * @time 2019/10/16 19:37
 */
public class SubjectKnowledgeInfoDTO implements Serializable {

    private static final long serialVersionUID = 7074409188493607187L;

    private String subject;
    private List<LearnedUnitDTO> learnedUnitList;
    private List<KnowledgePointMasteryDTO> weakKnowledgePointMasteryList;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public List<LearnedUnitDTO> getLearnedUnitList() {
        return learnedUnitList;
    }

    public void setLearnedUnitList(List<LearnedUnitDTO> learnedUnitList) {
        this.learnedUnitList = learnedUnitList;
    }

    public List<KnowledgePointMasteryDTO> getWeakKnowledgePointMasteryList() {
        return weakKnowledgePointMasteryList;
    }

    public void setWeakKnowledgePointMasteryList(List<KnowledgePointMasteryDTO> weakKnowledgePointMasteryList) {
        this.weakKnowledgePointMasteryList = weakKnowledgePointMasteryList;
    }
}
